KDE 4.7 PyKDE API Reference

- KDE's Python API

# KShellCompletion Class Reference

`from PyKDE4.kio import *`

Inherits: KUrlCompletion → KCompletion → QObject

## Detailed Description

This class does shell-like completion of file names. A string passed to makeCompletion() will be interpreted as a shell command line. Completion will be done on the last argument on the line. Returned matches consist of the first arguments (uncompleted) plus the completed last argument.

Shell-like completion of file names

Author:
  David Smith <dsmith@algonet.se>

## Methods
| __init__ (self)
QString | makeCompletion (self, QString text)
| postProcessMatch (self, QString match)
| postProcessMatches (self, QStringList matches)

## Method Documentation

__init__ | ( |  | self ) |

Constructs a KShellCompletion object.

QString makeCompletion | ( | self, |
|  | QString | text
| ) |  |  |

Finds completions to the given text. The first match is returned and emitted in the signal match().

Parameters:

  | text | the text to complete

Returns:
  the first match, or QString() if not found

postProcessMatch | ( | self, |
|  | QString | match
| ) |  |  |

postProcessMatches | ( | self, |
|  | QStringList | matches
| ) |  |  |